using System;
using Xunit;
using Newtonsoft.Json.Linq;
using FluentAssertions;

namespace raven_integration
{

    public class UserInactive
    {

        /// <summary>
        /// Inactive user should not be able to login
        /// </summary>       
        [Fact]
        public async void InactiveUserCantLogin()
        {
            dynamic DCreds = new JObject();
            DCreds.password = DCreds.login = "TEST_INACTIVE";
            ApiResponse a = await Util.PostAsync("Auth", null, DCreds.ToString());
            Util.ValidateErrorCodeResponse(a,2004, 401);
        }





        //==================================================

    }//eoc
}//eons
